# __gnu_cxx::rope< _CharT, _Alloc > Class Template Reference
[STL extensions from SGI]

`#include <stl_rope.h>`

List of all members.

## Detailed Description

### template<class _CharT, class _Alloc>
class __gnu_cxx::rope< _CharT, _Alloc >

This is an SGI extension.

Todo:
  Doc me! See docs/doxygen/TODO and http://gcc.gnu.org/ml/libstdc++/2002-02/msg00003.html for more.

Definition at line 1246 of file stl_rope.h.

The documentation for this class was generated from the following files:

- stl_rope.h
- ext-inst.cc
- ropeimpl.h